FREXP(3)

NAME
frexp - convert floating-point number to fractional and integral components

SYNOPSIS
#include <math.h>

double frexp(double x, int *exp);

DESCRIPTION
The frexp() function is used to split the number x into a normalized fraction and an exponent which is stored in exp.

RETURN VALUE
The frexp() function returns the normalized fraction. If the argument x is not zero, the normalized fraction is x times a power of two, and is always in the range 1/2 (inclusive) to 1 (exclusive). If x is zero, then the normalized fraction is zero and zero is stored in exp.

CONFORMING TO
SVID 3, POSIX, BSD 4.3, ISO 9899

SEE ALSO
ldexp(3), modf(3)